Index: branches/HTM-12.1-dev0/cfg/HEVC/HM/encoder_intra_main.cfg
===================================================================
--- branches/HTM-12.1-dev0/cfg/HEVC/HM/encoder_intra_main.cfg	(revision 1073)
+++ branches/HTM-12.1-dev0/cfg/HEVC/HM/encoder_intra_main.cfg	(revision 1081)
@@ -19,5 +19,5 @@
 #======== Coding Structure =============
 IntraPeriod                   : 1           # Period of I-Frame ( -1 = only first)
-DecodingRefreshType           : 0           # Random Accesss 0:none, 1:CDR, 2:IDR
+DecodingRefreshType           : 0           # Random Accesss 0:none, 1:CRA, 2:IDR, 3:Recovery Point SEI
 GOPSize                       : 1           # GOP Size (number of B slice = GOPSize-1)
 #        Type POC QPoffset QPfactor tcOffsetDiv2 betaOffsetDiv2  temporal_id #ref_pics_active #ref_pics reference pictures 
@@ -77,10 +77,10 @@
 
 #============ Tiles ================
-UniformSpacingIdc                   : 0                # 0: the column boundaries are indicated by ColumnWidth array, the row boundaries are indicated by RowHeight array
+TileUniformSpacing                  : 0                # 0: the column boundaries are indicated by TileColumnWidth array, the row boundaries are indicated by TileRowHeight array
                                                        # 1: the column and row boundaries are distributed uniformly
-NumTileColumnsMinus1                : 0                # Number of columns in a picture minus 1
-ColumnWidthArray                    : 2 3              # Array containing ColumnWidth values in units of LCU (from left to right in picture)   
-NumTileRowsMinus1                   : 0                # Number of rows in a picture minus 1
-RowHeightArray                      : 2                # Array containing RowHeight values in units of LCU (from top to bottom in picture)
+NumTileColumnsMinus1                : 0                # Number of tile columns in a picture minus 1
+TileColumnWidthArray                : 2 3              # Array containing tile column width values in units of CTU (from left to right in picture)   
+NumTileRowsMinus1                   : 0                # Number of tile rows in a picture minus 1
+TileRowHeightArray                  : 2                # Array containing tile row height values in units of CTU (from top to bottom in picture)
 
 LFCrossTileBoundaryFlag           : 1                  # In-loop filtering is across or not across tile boundary.
Index: branches/HTM-12.1-dev0/cfg/HEVC/HM/encoder_intra_main10.cfg
===================================================================
--- branches/HTM-12.1-dev0/cfg/HEVC/HM/encoder_intra_main10.cfg	(revision 1073)
+++ branches/HTM-12.1-dev0/cfg/HEVC/HM/encoder_intra_main10.cfg	(revision 1081)
@@ -19,5 +19,5 @@
 #======== Coding Structure =============
 IntraPeriod                   : 1           # Period of I-Frame ( -1 = only first)
-DecodingRefreshType           : 0           # Random Accesss 0:none, 1:CDR, 2:IDR
+DecodingRefreshType           : 0           # Random Accesss 0:none, 1:CRA, 2:IDR, 3:Recovery Point SEI
 GOPSize                       : 1           # GOP Size (number of B slice = GOPSize-1)
 #        Type POC QPoffset QPfactor tcOffsetDiv2 betaOffsetDiv2  temporal_id #ref_pics_active #ref_pics reference pictures  
@@ -77,10 +77,10 @@
 
 #============ Tiles ================
-UniformSpacingIdc                   : 0                # 0: the column boundaries are indicated by ColumnWidth array, the row boundaries are indicated by RowHeight array
+TileUniformSpacing                  : 0                # 0: the column boundaries are indicated by TileColumnWidth array, the row boundaries are indicated by TileRowHeight array
                                                        # 1: the column and row boundaries are distributed uniformly
-NumTileColumnsMinus1                : 0                # Number of columns in a picture minus 1
-ColumnWidthArray                    : 2 3              # Array containing ColumnWidth values in units of LCU (from left to right in picture)   
-NumTileRowsMinus1                   : 0                # Number of rows in a picture minus 1
-RowHeightArray                      : 2                # Array containing RowHeight values in units of LCU (from top to bottom in picture)
+NumTileColumnsMinus1                : 0                # Number of tile columns in a picture minus 1
+TileColumnWidthArray                : 2 3              # Array containing tile column width values in units of CTU (from left to right in picture)   
+NumTileRowsMinus1                   : 0                # Number of tile rows in a picture minus 1
+TileRowHeightArray                  : 2                # Array containing tile row height values in units of CTU (from top to bottom in picture)
 
 LFCrossTileBoundaryFlag           : 1                  # In-loop filtering is across or not across tile boundary.
Index: branches/HTM-12.1-dev0/cfg/HEVC/HM/encoder_lowdelay_P_main.cfg
===================================================================
--- branches/HTM-12.1-dev0/cfg/HEVC/HM/encoder_lowdelay_P_main.cfg	(revision 1073)
+++ branches/HTM-12.1-dev0/cfg/HEVC/HM/encoder_lowdelay_P_main.cfg	(revision 1081)
@@ -19,5 +19,5 @@
 #======== Coding Structure =============
 IntraPeriod                   : -1          # Period of I-Frame ( -1 = only first)
-DecodingRefreshType           : 0           # Random Accesss 0:none, 1:CDR, 2:IDR
+DecodingRefreshType           : 0           # Random Accesss 0:none, 1:CRA, 2:IDR, 3:Recovery Point SEI
 GOPSize                       : 4           # GOP Size (number of B slice = GOPSize-1)
 #        Type POC QPoffset QPfactor tcOffsetDiv2 betaOffsetDiv2  temporal_id #ref_pics_active #ref_pics reference pictures predict deltaRPS #ref_idcs reference idcs 
@@ -82,10 +82,10 @@
 
 #============ Tiles ================
-UniformSpacingIdc                   : 0                # 0: the column boundaries are indicated by ColumnWidth array, the row boundaries are indicated by RowHeight array
+TileUniformSpacing                  : 0                # 0: the column boundaries are indicated by TileColumnWidth array, the row boundaries are indicated by TileRowHeight array
                                                        # 1: the column and row boundaries are distributed uniformly
-NumTileColumnsMinus1                : 0                # Number of columns in a picture minus 1
-ColumnWidthArray                    : 2 3              # Array containing ColumnWidth values in units of LCU (from left to right in picture)   
-NumTileRowsMinus1                   : 0                # Number of rows in a picture minus 1
-RowHeightArray                      : 2                # Array containing RowHeight values in units of LCU (from top to bottom in picture)
+NumTileColumnsMinus1                : 0                # Number of tile columns in a picture minus 1
+TileColumnWidthArray                : 2 3              # Array containing tile column width values in units of CTU (from left to right in picture)   
+NumTileRowsMinus1                   : 0                # Number of tile rows in a picture minus 1
+TileRowHeightArray                  : 2                # Array containing tile row height values in units of CTU (from top to bottom in picture)
 
 LFCrossTileBoundaryFlag           : 1                  # In-loop filtering is across or not across tile boundary.
Index: branches/HTM-12.1-dev0/cfg/HEVC/HM/encoder_lowdelay_P_main10.cfg
===================================================================
--- branches/HTM-12.1-dev0/cfg/HEVC/HM/encoder_lowdelay_P_main10.cfg	(revision 1073)
+++ branches/HTM-12.1-dev0/cfg/HEVC/HM/encoder_lowdelay_P_main10.cfg	(revision 1081)
@@ -19,5 +19,5 @@
 #======== Coding Structure =============
 IntraPeriod                   : -1          # Period of I-Frame ( -1 = only first)
-DecodingRefreshType           : 0           # Random Accesss 0:none, 1:CDR, 2:IDR
+DecodingRefreshType           : 0           # Random Accesss 0:none, 1:CRA, 2:IDR, 3:Recovery Point SEI
 GOPSize                       : 4           # GOP Size (number of B slice = GOPSize-1)
 #        Type POC QPoffset QPfactor tcOffsetDiv2 betaOffsetDiv2  temporal_id #ref_pics_active #ref_pics reference pictures predict deltaRPS #ref_idcs reference idcs 
@@ -82,10 +82,10 @@
 
 #============ Tiles ================
-UniformSpacingIdc                   : 0                # 0: the column boundaries are indicated by ColumnWidth array, the row boundaries are indicated by RowHeight array
+TileUniformSpacing                  : 0                # 0: the column boundaries are indicated by TileColumnWidth array, the row boundaries are indicated by TileRowHeight array
                                                        # 1: the column and row boundaries are distributed uniformly
-NumTileColumnsMinus1                : 0                # Number of columns in a picture minus 1
-ColumnWidthArray                    : 2 3              # Array containing ColumnWidth values in units of LCU (from left to right in picture)   
-NumTileRowsMinus1                   : 0                # Number of rows in a picture minus 1
-RowHeightArray                      : 2                # Array containing RowHeight values in units of LCU (from top to bottom in picture)
+NumTileColumnsMinus1                : 0                # Number of tile columns in a picture minus 1
+TileColumnWidthArray                : 2 3              # Array containing tile column width values in units of CTU (from left to right in picture)   
+NumTileRowsMinus1                   : 0                # Number of tile rows in a picture minus 1
+TileRowHeightArray                  : 2                # Array containing tile row height values in units of CTU (from top to bottom in picture)
 
 LFCrossTileBoundaryFlag           : 1                  # In-loop filtering is across or not across tile boundary.
Index: branches/HTM-12.1-dev0/cfg/HEVC/HM/encoder_lowdelay_main.cfg
===================================================================
--- branches/HTM-12.1-dev0/cfg/HEVC/HM/encoder_lowdelay_main.cfg	(revision 1073)
+++ branches/HTM-12.1-dev0/cfg/HEVC/HM/encoder_lowdelay_main.cfg	(revision 1081)
@@ -19,5 +19,5 @@
 #======== Coding Structure =============
 IntraPeriod                   : -1          # Period of I-Frame ( -1 = only first)
-DecodingRefreshType           : 0           # Random Accesss 0:none, 1:CDR, 2:IDR
+DecodingRefreshType           : 0           # Random Accesss 0:none, 1:CRA, 2:IDR, 3:Recovery Point SEI
 GOPSize                       : 4           # GOP Size (number of B slice = GOPSize-1)
 #        Type POC QPoffset QPfactor tcOffsetDiv2 betaOffsetDiv2  temporal_id #ref_pics_active #ref_pics reference pictures predict deltaRPS #ref_idcs reference idcs 
@@ -82,10 +82,10 @@
 
 #============ Tiles ================
-UniformSpacingIdc                   : 0                # 0: the column boundaries are indicated by ColumnWidth array, the row boundaries are indicated by RowHeight array
+TileUniformSpacing                  : 0                # 0: the column boundaries are indicated by TileColumnWidth array, the row boundaries are indicated by TileRowHeight array
                                                        # 1: the column and row boundaries are distributed uniformly
-NumTileColumnsMinus1                : 0                # Number of columns in a picture minus 1
-ColumnWidthArray                    : 2 3              # Array containing ColumnWidth values in units of LCU (from left to right in picture)   
-NumTileRowsMinus1                   : 0                # Number of rows in a picture minus 1
-RowHeightArray                      : 2                # Array containing RowHeight values in units of LCU (from top to bottom in picture)
+NumTileColumnsMinus1                : 0                # Number of tile columns in a picture minus 1
+TileColumnWidthArray                : 2 3              # Array containing tile column width values in units of CTU (from left to right in picture)   
+NumTileRowsMinus1                   : 0                # Number of tile rows in a picture minus 1
+TileRowHeightArray                  : 2                # Array containing tile row height values in units of CTU (from top to bottom in picture)
 
 LFCrossTileBoundaryFlag           : 1                  # In-loop filtering is across or not across tile boundary.
Index: branches/HTM-12.1-dev0/cfg/HEVC/HM/encoder_lowdelay_main10.cfg
===================================================================
--- branches/HTM-12.1-dev0/cfg/HEVC/HM/encoder_lowdelay_main10.cfg	(revision 1073)
+++ branches/HTM-12.1-dev0/cfg/HEVC/HM/encoder_lowdelay_main10.cfg	(revision 1081)
@@ -19,5 +19,5 @@
 #======== Coding Structure =============
 IntraPeriod                   : -1          # Period of I-Frame ( -1 = only first)
-DecodingRefreshType           : 0           # Random Accesss 0:none, 1:CDR, 2:IDR
+DecodingRefreshType           : 0           # Random Accesss 0:none, 1:CRA, 2:IDR, 3:Recovery Point SEI
 GOPSize                       : 4           # GOP Size (number of B slice = GOPSize-1)
 #        Type POC QPoffset QPfactor tcOffsetDiv2 betaOffsetDiv2  temporal_id #ref_pics_active #ref_pics reference pictures predict deltaRPS #ref_idcs reference idcs 
@@ -82,10 +82,10 @@
 
 #============ Tiles ================
-UniformSpacingIdc                   : 0                # 0: the column boundaries are indicated by ColumnWidth array, the row boundaries are indicated by RowHeight array
+TileUniformSpacing                  : 0                # 0: the column boundaries are indicated by TileColumnWidth array, the row boundaries are indicated by TileRowHeight array
                                                        # 1: the column and row boundaries are distributed uniformly
-NumTileColumnsMinus1                : 0                # Number of columns in a picture minus 1
-ColumnWidthArray                    : 2 3              # Array containing ColumnWidth values in units of LCU (from left to right in picture)   
-NumTileRowsMinus1                   : 0                # Number of rows in a picture minus 1
-RowHeightArray                      : 2                # Array containing RowHeight values in units of LCU (from top to bottom in picture)
+NumTileColumnsMinus1                : 0                # Number of tile columns in a picture minus 1
+TileColumnWidthArray                : 2 3              # Array containing tile column width values in units of CTU (from left to right in picture)   
+NumTileRowsMinus1                   : 0                # Number of tile rows in a picture minus 1
+TileRowHeightArray                  : 2                # Array containing tile row height values in units of CTU (from top to bottom in picture)
 
 LFCrossTileBoundaryFlag           : 1                  # In-loop filtering is across or not across tile boundary.
Index: branches/HTM-12.1-dev0/cfg/HEVC/HM/encoder_randomaccess_main.cfg
===================================================================
--- branches/HTM-12.1-dev0/cfg/HEVC/HM/encoder_randomaccess_main.cfg	(revision 1073)
+++ branches/HTM-12.1-dev0/cfg/HEVC/HM/encoder_randomaccess_main.cfg	(revision 1081)
@@ -19,5 +19,5 @@
 #======== Coding Structure =============
 IntraPeriod                   : 32          # Period of I-Frame ( -1 = only first)
-DecodingRefreshType           : 1           # Random Accesss 0:none, 1:CDR, 2:IDR
+DecodingRefreshType           : 1           # Random Accesss 0:none, 1:CRA, 2:IDR, 3:Recovery Point SEI
 GOPSize                       : 8           # GOP Size (number of B slice = GOPSize-1)
 #        Type POC QPoffset QPfactor tcOffsetDiv2 betaOffsetDiv2 temporal_id #ref_pics_active #ref_pics reference pictures     predict deltaRPS #ref_idcs reference idcs 
@@ -25,9 +25,9 @@
 Frame2:  B    4   2        0.3536   0            0              0           2                3         -4 -6  4               1       4        5         1 1 0 0 1
 Frame3:  B    2   3        0.3536   0            0              0           2                4         -2 -4  2 6             1       2        4         1 1 1 1  
-Frame4:  B    1   4        0.68     0            0              0           2                4         -1  1  3 7             1       1        5         1 0 1 1 1 
-Frame5:  B    3   4        0.68     0            0              0           2                4         -1 -3  1 5             1      -2        5         1 1 1 1 0
+Frame4:  B    1   4        0.68     0            0              1           2                4         -1  1  3 7             1       1        5         1 0 1 1 1 
+Frame5:  B    3   4        0.68     0            0              1           2                4         -1 -3  1 5             1      -2        5         1 1 1 1 0
 Frame6:  B    6   3        0.3536   0            0              0           2                4         -2 -4 -6 2             1      -3        5         1 1 1 1 0
-Frame7:  B    5   4        0.68     0            0              0           2                4         -1 -5  1 3             1       1        5         1 0 1 1 1  
-Frame8:  B    7   4        0.68     0            0              0           2                4         -1 -3 -7 1             1      -2        5         1 1 1 1 0
+Frame7:  B    5   4        0.68     0            0              1           2                4         -1 -5  1 3             1       1        5         1 0 1 1 1  
+Frame8:  B    7   4        0.68     0            0              1           2                4         -1 -3 -7 1             1      -2        5         1 1 1 1 0
 
 #=========== Motion Search =============
@@ -86,10 +86,10 @@
 
 #============ Tiles ================
-UniformSpacingIdc                   : 0                # 0: the column boundaries are indicated by ColumnWidth array, the row boundaries are indicated by RowHeight array
+TileUniformSpacing                  : 0                # 0: the column boundaries are indicated by TileColumnWidth array, the row boundaries are indicated by TileRowHeight array
                                                        # 1: the column and row boundaries are distributed uniformly
-NumTileColumnsMinus1                : 0                # Number of columns in a picture minus 1
-ColumnWidthArray                    : 2 3              # Array containing ColumnWidth values in units of LCU (from left to right in picture)   
-NumTileRowsMinus1                   : 0                # Number of rows in a picture minus 1
-RowHeightArray                      : 2                # Array containing RowHeight values in units of LCU (from top to bottom in picture)
+NumTileColumnsMinus1                : 0                # Number of tile columns in a picture minus 1
+TileColumnWidthArray                : 2 3              # Array containing tile column width values in units of CTU (from left to right in picture)   
+NumTileRowsMinus1                   : 0                # Number of tile rows in a picture minus 1
+TileRowHeightArray                  : 2                # Array containing tile row height values in units of CTU (from top to bottom in picture)
 
 LFCrossTileBoundaryFlag           : 1                  # In-loop filtering is across or not across tile boundary.
Index: branches/HTM-12.1-dev0/cfg/HEVC/HM/encoder_randomaccess_main10.cfg
===================================================================
--- branches/HTM-12.1-dev0/cfg/HEVC/HM/encoder_randomaccess_main10.cfg	(revision 1073)
+++ branches/HTM-12.1-dev0/cfg/HEVC/HM/encoder_randomaccess_main10.cfg	(revision 1081)
@@ -19,5 +19,5 @@
 #======== Coding Structure =============
 IntraPeriod                   : 32          # Period of I-Frame ( -1 = only first)
-DecodingRefreshType           : 1           # Random Accesss 0:none, 1:CDR, 2:IDR
+DecodingRefreshType           : 1           # Random Accesss 0:none, 1:CRA, 2:IDR, 3:Recovery Point SEI
 GOPSize                       : 8           # GOP Size (number of B slice = GOPSize-1)
 #        Type POC QPoffset QPfactor tcOffsetDiv2 betaOffsetDiv2 temporal_id #ref_pics_active #ref_pics reference pictures     predict deltaRPS #ref_idcs reference idcs 
@@ -25,9 +25,9 @@
 Frame2:  B    4   2        0.3536   0            0              0           2                3         -4 -6  4               1       4        5         1 1 0 0 1
 Frame3:  B    2   3        0.3536   0            0              0           2                4         -2 -4  2 6             1       2        4         1 1 1 1  
-Frame4:  B    1   4        0.68     0            0              0           2                4         -1  1  3 7             1       1        5         1 0 1 1 1 
-Frame5:  B    3   4        0.68     0            0              0           2                4         -1 -3  1 5             1      -2        5         1 1 1 1 0
+Frame4:  B    1   4        0.68     0            0              1           2                4         -1  1  3 7             1       1        5         1 0 1 1 1 
+Frame5:  B    3   4        0.68     0            0              1           2                4         -1 -3  1 5             1      -2        5         1 1 1 1 0
 Frame6:  B    6   3        0.3536   0            0              0           2                4         -2 -4 -6 2             1      -3        5         1 1 1 1 0
-Frame7:  B    5   4        0.68     0            0              0           2                4         -1 -5  1 3             1       1        5         1 0 1 1 1  
-Frame8:  B    7   4        0.68     0            0              0           2                4         -1 -3 -7 1             1      -2        5         1 1 1 1 0
+Frame7:  B    5   4        0.68     0            0              1           2                4         -1 -5  1 3             1       1        5         1 0 1 1 1  
+Frame8:  B    7   4        0.68     0            0              1           2                4         -1 -3 -7 1             1      -2        5         1 1 1 1 0
 
 #=========== Motion Search =============
@@ -86,10 +86,10 @@
 
 #============ Tiles ================
-UniformSpacingIdc                   : 0                # 0: the column boundaries are indicated by ColumnWidth array, the row boundaries are indicated by RowHeight array
+TileUniformSpacing                  : 0                # 0: the column boundaries are indicated by TileColumnWidth array, the row boundaries are indicated by TileRowHeight array
                                                        # 1: the column and row boundaries are distributed uniformly
-NumTileColumnsMinus1                : 0                # Number of columns in a picture minus 1
-ColumnWidthArray                    : 2 3              # Array containing ColumnWidth values in units of LCU (from left to right in picture)   
-NumTileRowsMinus1                   : 0                # Number of rows in a picture minus 1
-RowHeightArray                      : 2                # Array containing RowHeight values in units of LCU (from top to bottom in picture)
+NumTileColumnsMinus1                : 0                # Number of tile columns in a picture minus 1
+TileColumnWidthArray                : 2 3              # Array containing tile column width values in units of CTU (from left to right in picture)   
+NumTileRowsMinus1                   : 0                # Number of tile rows in a picture minus 1
+TileRowHeightArray                  : 2                # Array containing tile row height values in units of CTU (from top to bottom in picture)
 
 LFCrossTileBoundaryFlag           : 1                  # In-loop filtering is across or not across tile boundary.
Index: branches/HTM-12.1-dev0/cfg/HEVC/HM/misc/encoder_randomaccess_field_coding.cfg
===================================================================
--- branches/HTM-12.1-dev0/cfg/HEVC/HM/misc/encoder_randomaccess_field_coding.cfg	(revision 1073)
+++ branches/HTM-12.1-dev0/cfg/HEVC/HM/misc/encoder_randomaccess_field_coding.cfg	(revision 1081)
@@ -36,5 +36,5 @@
 #======== Coding Structure =============
 IntraPeriod                   : 32          # Period of I-Frame ( -1 = only first)
-DecodingRefreshType           : 1           # Random Accesss 0:none, 1:CDR, 2:IDR
+DecodingRefreshType           : 1           # Random Accesss 0:none, 1:CRA, 2:IDR, 3:Recovery Point SEI
 GOPSize                       : 16          # GOP Size (number of B slice = GOPSize-1)
 
@@ -113,10 +113,10 @@
 
 #============ Tiles ================
-UniformSpacingIdc                   : 0                # 0: the column boundaries are indicated by ColumnWidth array, the row boundaries are indicated by RowHeight array
+TileUniformSpacing                  : 0                # 0: the column boundaries are indicated by TileColumnWidth array, the row boundaries are indicated by TileRowHeight array
                                                        # 1: the column and row boundaries are distributed uniformly
-NumTileColumnsMinus1                : 0                # Number of columns in a picture minus 1
-ColumnWidthArray                    : 2 3              # Array containing ColumnWidth values in units of LCU (from left to right in picture)   
-NumTileRowsMinus1                   : 0                # Number of rows in a picture minus 1
-RowHeightArray                      : 2                # Array containing RowHeight values in units of LCU (from top to bottom in picture)
+NumTileColumnsMinus1                : 0                # Number of tile columns in a picture minus 1
+TileColumnWidthArray                : 2 3              # Array containing tile column width values in units of CTU (from left to right in picture)   
+NumTileRowsMinus1                   : 0                # Number of tile rows in a picture minus 1
+TileRowHeightArray                  : 2                # Array containing tile row height values in units of CTU (from top to bottom in picture)
 
 LFCrossTileBoundaryFlag           : 1                  # In-loop filtering is across or not across tile boundary.
